#!/bin/bash
pushd ~/Lisp >/dev/null
echo "Updating AutoLoads..."
emacs -batch -f update-autoloads-from-directories
echo "Updating Finder Keywords..."
emacs -batch -l finder -f finder-compile-keywords
echo "Updating Customization Dependencies..."
# Note: Add any subdirectories you add to the lisp directory here
emacs -batch -l cus-dep.el -f custom-make-dependencies . calendar elib emacs-lisp emulation gnus international language leim leim/skk leim/quail mail play progmodes site-lisp term textmodes
echo "Updating Byte-Compiled Files..."
emacs -batch -f batch-byte-recompile-directory
popd >/dev/null
